%define minver %(echo %version | cut -d. -f3)
%define majver %(echo %version | cut -d. -f1-2)
Name:          minicom
Version:       2.10
Release:       1mamba
Summary:       A menu driven communications program
Group:         Applications/Communication
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://salsa.debian.org/minicom-team/minicom
Source:        https://salsa.debian.org/minicom-team/minicom.git/%{version}/minicom-%{version}.tar.bz2
Source1:       minicom-2.1-conf
Patch0:        minicom-2.3-getline-rename.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
%if "%{stage1}" != "1"
BuildRequires: gkermit
%endif
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END
Requires:      liblockdev >= 1.0.1
Requires:      lrzsz
%if "%{stage1}" != "1"
Requires:      gkermit >= 1.0
%endif

%description
Minicom is a menu driven communications program. It emulates ANSI and VT102 terminals. It has a dialing directory and auto zmodem download.


%prep
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%setup -q -n %{name}-%{majver}

%build
%configure \
   --enable-cfg-dir=%{_sysconfdir}/minicom \
   CFLAGS="%{optflags} -fcommon"

%make

%install
%makeinstall
mkdir -p %{buildroot}%{_sysconfdir}/minicom
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/minicom/minirc.dfl

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/minicom/minirc.dfl
%{_bindir}/ascii-xfr
%{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_mandir}/man1/*

%changelog
* Sun Feb 23 2025 Automatic Build System <autodist@openmamba.org> 2.10-1mamba
- automatic version update by autodist

* Mon Oct 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9-1mamba
- update to 2.9

* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8-1mamba
- update to 2.8

* Sun Dec 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.1-2mamba
- rebuilt with debug package and gcc 10 -fcommon

* Thu Apr 20 2017 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7-1mamba
- update to 2.7

* Wed Jan 25 2012 Automatic Build System <autodist@mambasoft.it> 2.6.3689-1mamba
- update to 2.6.3689

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 2.5.3487-1mamba
- update to 2.5.3487

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic update by autodist

* Wed Nov 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-3mamba
- added requirement for lrzsz (for x/y/z modem support)

* Thu Apr 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-2mamba
- added patch to resolve a conflict with getline() function

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-1mamba
- update to 2.3

* Fri Jan 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-1qilnx
- update to version 2.2 by autospec

* Wed Aug 03 2005 Silvan Calarco <silvan.calarco@qinet.it> 2.1-4qilnx
- added support for gkermit

* Fri Apr 09 2004 Silvan Calarco <silvan.calarco@qinet.it> 2.1-3qilnx
- lockdev requirement added 
- default configuration files in /etc/minicom/

* Fri Apr 09 2004 Silvan Calarco <silvan.calarco@qinet.it> 2.1-2qilnx
- fixed sysconfdir location

* Thu Jun 26 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.1-1qilnx
- Creation of minicom package
